
/////////////////////////////////////////////////////////////////////////////////////////////
// Draw, Executes Forever, Provides User Feedback (Logic Repetition)
/////////////////////////////////////////////////////////////////////////////////////////////

void draw() // happens repeatedly (according to framerate)...
{
  println("MODE: " + mode);
  if(mode == MODE_LOGO){ // if we are in "Logo" mode...
    //drawLogo(); // draw image for Logo
    drawStatic(logo);
  } 
  else if(mode == MODE_LANGUAGE_MENU){ // if we are in "Language Menu" mode...
    drawLanguageMenu(menuFocus);               // draw image for the language according to the "menuFocus"
  }
  else if(mode == MODE_WELCOME){  //if we are in mode_welcome
    drawStatic(welcome);         //show the welcome image
  }
  else if(mode == MODE_WELCOME_2){  //if we are in mode_welcome_2
    drawStatic(welcome2);         //show the welcome2 image
  }
  else if(mode == MODE_SELECT_GENRE){
    drawGenreSelection(genreFocus);
  }
  else if(mode == MODE_SELECT_GAME){
    drawSelectGame(gameFocus);
  }
  else if(mode == MODE_SELECT_GROUP){
    drawSelectGroup(groupFocus); 
  }
  else if(mode == MODE_DESCRIPTION){
    if(descriptionFocus == DESCRIPTION_FOCUS_HOBBITS){
     drawStatic(hobbitsDescription);
    }
    /* DA INSERIRE LE IMMAGINI
    else if(descriptionFocus == DESCRIPTION_FOCUS_ORCS){
     drawStatic(orcsDescription);
    }
    else if(descriptionFocus == DESCRIPTION_FOCUS_ELVES){
     drawStatic(elvessDescription);
    }
    else if(descriptionFocus == DESCRIPTION_FOCUS_DEMONS){
     drawStatic(demonsDescription);
    }
    */
  }
  else if(mode == MODE_ROLE){
   if(roleFocus == ROLE_FOCUS_HOBBITS){
     drawStatic(hobbitsRole);
   }
   /* DA INSERIRE LE IMMAGINI
   else if(roleFocus == ROLE_FOCUS_ORCS){
     drawStatic(orcsRole);
   }
   else if(roleFocus == ROLE_FOCUS_ELVES){
     drawStatic(elvesRole);
   }
   else if(roleFocus == ROLE_FOCUS_DEMONS){
     drawStatic(demonsRole);
   }
   */
  }
  else if(mode == MODE_CONFIRM){
   drawStatic(confirm); 
  }
  else if(mode == MODE_GAME_STARTED){
   drawStatic(gameStarted); 
  }
  else if(mode == MODE_HOBBITS_1ST_CLUE){
   drawStatic(hobbits1stClue);
  }
  else if(mode == MODE_DURING_GAME){
    drawDuringGame(duringGameFocus);
  }
  else if(mode == MODE_MENU){
   drawMenu(gameMenuFocus); 
  }
  else if(mode == MODE_SHOW_CLUES){
   drawStatic(cluesMap); 
  }
  else if(mode == MODE_SHOW_MESSAGES){
    drawMessageMenu(messageMenuFocus);
  }
  else if(mode == MODE_SHOW_HELP){
   drawHelp(helpFocus); 
  }
  else if(mode == MODE_QUIT){
   drawStatic(quit); 
  }
  else if(mode == MODE_SEMACODE){
    showCamera(5, 23, 166, 116, sendSemacode);
  }
  else if(mode == MODE_HOBBITS_1ST_COMPLETE){
    drawStatic(hobbits1stComplete);
  }
  else if(mode == MODE_DURING_GAME2){
    drawDuringGame(duringGameFocus); 
  }
  else if(mode == MODE_HOBBITS_2ND_FAILED){
    drawStatic(hobbits2ndFailed);
  }
  else if(mode == MODE_MINUTES_LEFT){
    drawStatic(minutesLeft);
  }
  else if(mode == MODE_TIME_UP){
   drawStatic(timeUp); 
  }
  else if(mode == MODE_WINNER){
    drawWinner(winnerFocus);
  }
  else if(mode == MODE_SEND_MESSAGE){
    drawMessage();
  }
}
