/////////////////////////////////////////////////////////////////////////////////////////////
// Keypad Event (User Input Capture & Interpretation)
/////////////////////////////////////////////////////////////////////////////////////////////

void keyReleased() // whenever a key is pressed...
{
  //we are in the logo screen----------------------------------------------------------------
  if(mode == MODE_LOGO){
    if(keyCode == SOFTKEY2){
      mode = MODE_LANGUAGE_MENU;
    }
  }
  //we are in the language selection screen--------------------------------------------------
  else if(mode == MODE_LANGUAGE_MENU){ // if we are at the language menu...
    if(menuFocus == LANGUAGE_FOCUS_ITALIAN){  // if the menu is focused on ITALIAN...
      if(keyCode == RIGHT){          // if the user pressed right...
        fruscio.play();
        menuFocus = LANGUAGE_FOCUS_ENGLISH; // put the menu focus on ENGLISH
      }
      else if(keyCode == LEFT){    // if the user pressed left...
        fruscio.play();
        menuFocus = LANGUAGE_FOCUS_FRENCH; // put the menu focus on FRENCH
      }
    }
   else if(menuFocus == LANGUAGE_FOCUS_FRENCH){  // if the menu is focused on FRENCH..
      if(keyCode == RIGHT){         // if the user pressed right...
       fruscio.play();
        menuFocus = LANGUAGE_FOCUS_ITALIAN; // put the menu focus on ITALIAN
      }
      else if(keyCode == LEFT){    // if the user pressed left...
       fruscio.play();
        menuFocus = LANGUAGE_FOCUS_ENGLISH; // put the menu focus on ENGLISH
      }
    }
   else if(menuFocus == LANGUAGE_FOCUS_ENGLISH){
      if(keyCode == SOFTKEY2){
        mode = MODE_WELCOME;                  //go to the welcome screen
      }  // if the menu is focused on ENGLISH...
      else if(keyCode == RIGHT){          // if the user pressed right...
       fruscio.play();
        menuFocus = LANGUAGE_FOCUS_FRENCH; // put the menu focus on FRENCH
      }
      else if(keyCode == LEFT){    // if the user pressed left...
       fruscio.play();
        menuFocus = LANGUAGE_FOCUS_ITALIAN; // put the menu focus on ITALIAN
      }
    }
  }
  //we are in welcome screen----------------------------------------------------
  else if(mode == MODE_WELCOME) {    //if we are in the welcome screen...
    if(keyCode == SOFTKEY2){  //and we press fire or 3
      mode = MODE_WELCOME_2;        //show the 2nd welcome screen
    }
    else if(keyCode == SOFTKEY1){          // if the user pressed 1...
      mode = MODE_LANGUAGE_MENU;  //back in the language selection
      /*
      menuFocus = LANGUAGE_FOCUS_ITALIAN; // put the menu focus on ITALIAN
     languageX = 0;
     */
    }
  }
   //we are in welcome 2 screen----------------------------------------------------
  else if(mode == MODE_WELCOME_2) {    //if we are in the welcome screen...
    if(keyCode == SOFTKEY2){  //and we press fire or 3
      mode = MODE_SELECT_GENRE;        //show the 2nd welcome screen
    }
    else if(keyCode == SOFTKEY1){          // if the user pressed 1...
      mode = MODE_WELCOME;  //back in the language selection
    }
  }
  //we are in genre selection screen---------------------------------------------------
  else if(mode == MODE_SELECT_GENRE) {  //if we are in the welcome 2 screen
    if(genreFocus == GENRE_FOCUS_FANTASY){  // if the menu is focused on ITALIAN...
      if(keyCode == SOFTKEY2){
        mode = MODE_SELECT_GAME;                  //go to the select game screen
      }
      else if(keyCode == RIGHT){          // if the user pressed right...
       fruscio.play();
        genreFocus = GENRE_FOCUS_TVANDMOVIES; // put the menu focus on ENGLISH
      }
      else if(keyCode == LEFT){    // if the user pressed left...
       fruscio.play();
        genreFocus = GENRE_FOCUS_TRADITIONALMASKS; // put the menu focus on FRENCH
      }
      else if(keyCode == SOFTKEY1){
        mode = MODE_WELCOME_2;                  //go to the select game screen
      }
    }
    else if(genreFocus == GENRE_FOCUS_TVANDMOVIES){  // if the menu is focused on ITALIAN...
      if(keyCode == RIGHT){          // if the user pressed right...
       fruscio.play();
        genreFocus = GENRE_FOCUS_SUPERHEROES; // put the menu focus on ENGLISH
      }
      else if(keyCode == LEFT){    // if the user pressed left...
       fruscio.play();
        genreFocus = GENRE_FOCUS_FANTASY; // put the menu focus on FRENCH
      }
      else if(keyCode == SOFTKEY1){
        mode = MODE_WELCOME_2;                  //go to the select game screen
      }
    }
    else if(genreFocus == GENRE_FOCUS_SUPERHEROES){  // if the menu is focused on ITALIAN...
      if(keyCode == RIGHT){          // if the user pressed right...
       fruscio.play();
        genreFocus = GENRE_FOCUS_TRADITIONALMASKS; // put the menu focus on ENGLISH
      }
      else if(keyCode == LEFT){    // if the user pressed left...
       fruscio.play();
        genreFocus = GENRE_FOCUS_TVANDMOVIES; // put the menu focus on FRENCH
      }
      else if(keyCode == SOFTKEY1){
        mode = MODE_WELCOME_2;                  //go to the select game screen
      }
    }
    else if(genreFocus == GENRE_FOCUS_TRADITIONALMASKS){  // if the menu is focused on ITALIAN...
      if(keyCode == RIGHT){          // if the user pressed right...
       fruscio.play();
        genreFocus = GENRE_FOCUS_FANTASY; // put the menu focus on ENGLISH
      }
      else if(keyCode == LEFT){    // if the user pressed left...
       fruscio.play();
        genreFocus = GENRE_FOCUS_SUPERHEROES; // put the menu focus on FRENCH
      }
      else if(keyCode == SOFTKEY1){
        mode = MODE_WELCOME_2;                  //go to the select game screen
      }
    }
  }
  //we are in select game screen---------------------------------------------
  else if(mode == MODE_SELECT_GAME){
    if(gameFocus == GAME_FOCUS_1){  // if the menu is focused on ITALIAN...
      if(keyCode == SOFTKEY2){
        mode = MODE_SELECT_GROUP;                  //go to the select game screen
      }
      else if(keyCode == DOWN){          // if the user pressed right...
        gameFocus = GAME_FOCUS_2; // put the menu focus on ENGLISH
      }
      else if(keyCode == UP){    // if the user pressed left...
        gameFocus = GAME_FOCUS_1; // put the menu focus on FRENCH
      }
      else if(keyCode == SOFTKEY1){
        mode = MODE_SELECT_GENRE;                  //go to the select game screen
      }
    }
    else if(gameFocus == GAME_FOCUS_2){  // if the menu is focused on ITALIAN...
      if(keyCode == DOWN){          // if the user pressed right...
        gameFocus = GAME_FOCUS_3; // put the menu focus on ENGLISH
      }
      else if(keyCode == UP){    // if the user pressed left...
        gameFocus = GAME_FOCUS_1; // put the menu focus on FRENCH
      }
      else if(keyCode == SOFTKEY1){
        mode = MODE_SELECT_GENRE;                  //go to the select game screen
      }
    }
    else if(gameFocus == GAME_FOCUS_3){  // if the menu is focused on ITALIAN...
      if(keyCode == DOWN){          // if the user pressed right...
        gameFocus = GAME_FOCUS_3; // put the menu focus on ENGLISH
      }
      else if(keyCode == UP){    // if the user pressed left...
        gameFocus = GAME_FOCUS_2; // put the menu focus on FRENCH
      }
      else if(keyCode == SOFTKEY1){
        mode = MODE_SELECT_GENRE;                  //go to the select game screen
      }
    }
  }
  //we are in select group screen---------------------------------------------
  else if(mode == MODE_SELECT_GROUP){
    if(groupFocus == GROUP_FOCUS_HOBBITS){  // if the menu is focused on ITALIAN...
      if(keyCode == SOFTKEY2){
        mode = MODE_DESCRIPTION;                  //go to the select game screen
      }
      else if(keyCode == RIGHT){          // if the user pressed right...
       fruscio.play();
        groupFocus = GROUP_FOCUS_ORCS; // put the menu focus on ENGLISH
      }
      else if(keyCode == LEFT){    // if the user pressed left...
       fruscio.play();
        groupFocus = GROUP_FOCUS_DEMONS; // put the menu focus on FRENCH
      }
      else if(keyCode == SOFTKEY1){
        mode = MODE_SELECT_GAME;                  //go to the select game screen
      }
    }
    else if(groupFocus == GROUP_FOCUS_ORCS){  // if the menu is focused on ITALIAN...
      if(keyCode == RIGHT){          // if the user pressed right...
       fruscio.play();
        groupFocus = GROUP_FOCUS_ELVES; // put the menu focus on ENGLISH
      }
      else if(keyCode == LEFT){    // if the user pressed left...
       fruscio.play();
        groupFocus = GROUP_FOCUS_HOBBITS; // put the menu focus on FRENCH
      }
      else if(keyCode == SOFTKEY1){
        mode = MODE_SELECT_GAME;                  //go to the select game screen
      }
    }
    else if(groupFocus == GROUP_FOCUS_ELVES){  // if the menu is focused on ITALIAN...
      if(keyCode == RIGHT){          // if the user pressed right...
       fruscio.play();
        groupFocus = GROUP_FOCUS_DEMONS; // put the menu focus on ENGLISH
      }
      else if(keyCode == LEFT){    // if the user pressed left...
       fruscio.play();
        groupFocus = GROUP_FOCUS_ORCS; // put the menu focus on FRENCH
      }
      else if(keyCode == SOFTKEY1){
        mode = MODE_SELECT_GAME;                  //go to the select game screen
      }
    }
    else if(groupFocus == GROUP_FOCUS_DEMONS){  // if the menu is focused on ITALIAN...
      if(keyCode == RIGHT){          // if the user pressed right...
       fruscio.play();
        groupFocus = GROUP_FOCUS_HOBBITS; // put the menu focus on ENGLISH
      }
      else if(keyCode == LEFT){    // if the user pressed left...
       fruscio.play();
        groupFocus = GROUP_FOCUS_ELVES; // put the menu focus on FRENCH
      }
      else if(keyCode == SOFTKEY1){
        mode = MODE_SELECT_GAME;                  //go to the select game screen
      }
    }
  }
   //we are in group description screen---------------------------------------------
  else if(mode == MODE_DESCRIPTION){
    if(descriptionFocus == DESCRIPTION_FOCUS_HOBBITS){  // if the menu is focused on ITALIAN...
      if(keyCode == SOFTKEY2){
        mode = MODE_ROLE; 
        roleFocus = ROLE_FOCUS_HOBBITS;
        //go to the select game screen
      }
      else if(keyCode == SOFTKEY1){
        mode = MODE_SELECT_GROUP;                  //go to the select game screen
      }
    }
    else if(descriptionFocus == DESCRIPTION_FOCUS_ORCS){  // if the menu is focused on ITALIAN...
      if(keyCode == SOFTKEY2){
        mode = MODE_ROLE; 
        roleFocus = ROLE_FOCUS_ORCS;
        //go to the select game screen
      }
      else if(keyCode == SOFTKEY1){
        mode = MODE_SELECT_GROUP;                  //go to the select game screen
      }
    }
    else if(descriptionFocus == DESCRIPTION_FOCUS_ELVES){  // if the menu is focused on ITALIAN...
      if(keyCode == SOFTKEY2){
        mode = MODE_ROLE; 
        roleFocus = ROLE_FOCUS_ELVES;
        //go to the select game screen
      }
      else if(keyCode == SOFTKEY1){
        mode = MODE_SELECT_GROUP;                  //go to the select game screen
      }
    }
    else if(descriptionFocus == DESCRIPTION_FOCUS_DEMONS){  // if the menu is focused on ITALIAN...
      if(keyCode == SOFTKEY2){
        mode = MODE_ROLE; 
        roleFocus = ROLE_FOCUS_DEMONS;
        //go to the select game screen
      }
      else if(keyCode == SOFTKEY1){
        mode = MODE_SELECT_GROUP;                  //go to the select game screen
      }
    }
  }
  //we are in role  screen---------------------------------------------
  else if(mode == MODE_ROLE){
    if(roleFocus == ROLE_FOCUS_HOBBITS){  // if the menu is focused on ITALIAN...
      if(keyCode == SOFTKEY2){
        mode = MODE_CONFIRM;
      }
      else if(keyCode == SOFTKEY1){
        mode = MODE_DESCRIPTION;                  //go to the select game screen
      }
    }
    else if(roleFocus == ROLE_FOCUS_ORCS){  // if the menu is focused on ITALIAN...
      if(keyCode == SOFTKEY2){
        mode = MODE_CONFIRM;
      }
      else if(keyCode == SOFTKEY1){
        mode = MODE_DESCRIPTION;                  //go to the select game screen
      }
    }
    else if(roleFocus == ROLE_FOCUS_ELVES){  // if the menu is focused on ITALIAN...
      if(keyCode == SOFTKEY2){
        mode = MODE_CONFIRM;
      }
      else if(keyCode == SOFTKEY1){
        mode = MODE_DESCRIPTION;                  //go to the select game screen
      }
    }
    else if(roleFocus == ROLE_FOCUS_DEMONS){  // if the menu is focused on ITALIAN...
      if(keyCode == SOFTKEY2){
        mode = MODE_CONFIRM;
      }
      else if(keyCode == SOFTKEY1){
        mode = MODE_DESCRIPTION;                  //go to the select game screen
      }
    }
  }
  //we are in the confirm screen------------------------------------------------
  else if(mode == MODE_CONFIRM){
    if(keyCode == SOFTKEY2){
        mode = MODE_GAME_STARTED;
    }
    if(keyCode == SOFTKEY1){
        mode = MODE_ROLE;                  //go to the select game screen
    }
  }
  //we have started the game---------------------------------------------
  else if(mode == MODE_GAME_STARTED){
    if(keyCode == SOFTKEY2){
        mode = MODE_HOBBITS_1ST_CLUE;
    }
    else if(keyCode == FIRE){
        previousMode = MODE_GAME_STARTED;
        mode = MODE_MENU;                  //go to the select game screen
    }
  }
  //we show the first hobbits clue--------------------------------------------
  else if(mode == MODE_HOBBITS_1ST_CLUE){
    if(keyCode == SOFTKEY2){
        mode = MODE_DURING_GAME;
    }
    else if(keyCode == FIRE){
        previousMode = MODE_HOBBITS_1ST_CLUE;
        mode = MODE_MENU;                  //go to the select game screen
    }
    else if(keyCode == SOFTKEY1){
      mode = MODE_DURING_GAME;
    }
  }
  //we are in the during game screen
  else if(mode == MODE_DURING_GAME){
    if(duringGameFocus == DURING_GAME_FOCUS_1){  // if the menu is focused on ITALIAN...
      if(keyCode == SOFTKEY2){
        //showCamera(5, 23, 166, 116, sendSemacode);
        mode = MODE_SEMACODE;                  //go to the select game screen
      }
      else if(keyCode == RIGHT){          // if the user pressed right...
       fruscio.play();
        duringGameFocus = DURING_GAME_FOCUS_2; // put the menu focus on ENGLISH
      }
      else if(keyCode == LEFT){    // if the user pressed left...
       fruscio.play();
        duringGameFocus = DURING_GAME_FOCUS_3; // put the menu focus on FRENCH
      }
      else if(keyCode == FIRE){
        previousMode = MODE_DURING_GAME;
        mode = MODE_MENU;                  //go to the select game screen
      }
      if(keyCode == SOFTKEY1){
        mode = MODE_HOBBITS_1ST_CLUE;                  //go to the select game screen
      }
    }
    else if(duringGameFocus == DURING_GAME_FOCUS_2){  // if the menu is focused on ITALIAN...
      if(keyCode == SOFTKEY2){
        mode = MODE_SEMACODE;                  //go to the select game screen
      }
      else if(keyCode == RIGHT){          // if the user pressed right...
       fruscio.play();
        duringGameFocus = DURING_GAME_FOCUS_3; // put the menu focus on ENGLISH
      }
      else if(keyCode == LEFT){    // if the user pressed left...
       fruscio.play();
        duringGameFocus = DURING_GAME_FOCUS_1; // put the menu focus on FRENCH
      }
      else if(keyCode == FIRE){
        previousMode = MODE_DURING_GAME;
        mode = MODE_MENU;                  //go to the select game screen
      }
    }
    else if(duringGameFocus == DURING_GAME_FOCUS_3){  // if the menu is focused on ITALIAN...
      if(keyCode == SOFTKEY2){
        mode = MODE_SEMACODE;                  //go to the select game screen
      }
      else if(keyCode == RIGHT){          // if the user pressed right...
       fruscio.play();
        duringGameFocus = DURING_GAME_FOCUS_1; // put the menu focus on ENGLISH
      }
      else if(keyCode == LEFT){    // if the user pressed left...
       fruscio.play();
        duringGameFocus = DURING_GAME_FOCUS_2; // put the menu focus on FRENCH
      }
      else if(keyCode == FIRE){
        previousMode = MODE_DURING_GAME;
        mode = MODE_MENU;                  //go to the select game screen
      }
    }
  }
  //we are in the menu screen------------------------------------------------
  else if(mode == MODE_MENU){
    if(gameMenuFocus == GAME_MENU_FOCUS_CLUES){  // if the menu is focused on ITALIAN...
      if(keyCode == SOFTKEY2){
        mode = MODE_SHOW_CLUES;                  //go to the select game screen
      }
      else if(keyCode == DOWN){          // if the user pressed right...
        gameMenuFocus = GAME_MENU_FOCUS_MESSAGES; // put the menu focus on ENGLISH
      }
      else if(keyCode == UP){    // if the user pressed left...
        gameMenuFocus = GAME_MENU_FOCUS_QUIT; // put the menu focus on FRENCH
      }
      else if(keyCode == SOFTKEY1){
        mode = previousMode;                  //go to the select game screen
      }
    }
    else if(gameMenuFocus == GAME_MENU_FOCUS_MESSAGES){  // if the menu is focused on ITALIAN...
      if(keyCode == SOFTKEY2){
        mode = MODE_SHOW_MESSAGES;                  //go to the select game screen
      }
      else if(keyCode == DOWN){          // if the user pressed right...
        gameMenuFocus = GAME_MENU_FOCUS_HELP; // put the menu focus on ENGLISH
      }
      else if(keyCode == UP){    // if the user pressed left...
        gameMenuFocus = GAME_MENU_FOCUS_CLUES; // put the menu focus on FRENCH
      }
      else if(keyCode == SOFTKEY1){
        mode = previousMode;                  //go to the select game screen
      }
    }
    else if(gameMenuFocus == GAME_MENU_FOCUS_HELP){  // if the menu is focused on ITALIAN...
      if(keyCode == SOFTKEY2){
        mode = MODE_SHOW_HELP;                  //go to the select game screen
      }
      else if(keyCode == DOWN){          // if the user pressed right...
        gameMenuFocus = GAME_MENU_FOCUS_QUIT; // put the menu focus on ENGLISH
      }
      else if(keyCode == UP){    // if the user pressed left...
        gameMenuFocus = GAME_MENU_FOCUS_MESSAGES; // put the menu focus on FRENCH
      }
      else if(keyCode == SOFTKEY1){
        mode = previousMode;                  //go to the select game screen
      }
    }
    else if(gameMenuFocus == GAME_MENU_FOCUS_QUIT){  // if the menu is focused on ITALIAN...
      if(keyCode == SOFTKEY2){
        mode = MODE_QUIT;                  //go to the select game screen
      }
      else if(keyCode == DOWN){          // if the user pressed right...
        gameMenuFocus = GAME_MENU_FOCUS_CLUES; // put the menu focus on ENGLISH
      }
      else if(keyCode == UP){    // if the user pressed left...
        gameMenuFocus = GAME_MENU_FOCUS_HELP; // put the menu focus on FRENCH
      }
      else if(keyCode == SOFTKEY1){
        mode = previousMode;                  //go to the select game screen
      }
    }
  }
  //we are in the clues screen----------------------------------------------
  else if(mode == MODE_SHOW_CLUES){
    if(keyCode == SOFTKEY2){
        mode = MODE_MENU;                  //go to the select game screen
    }
    else if(keyCode == SOFTKEY1){
        mode = previousMode;                  //go to the select game screen
    }
  }
  //we are int the message menu-----------------------------------------------
  else if(mode == MODE_SHOW_MESSAGES){
    if(messageMenuFocus == MESSAGE_FOCUS_SEND){  // if the menu is focused on ITALIAN...
      if(keyCode == SOFTKEY2){
        mode = MODE_SEND_MESSAGE;                  //go to the select game screen
      }
      else if(keyCode == DOWN){
        messageMenuFocus = MESSAGE_FOCUS_INBOX;
      }
      else if(keyCode == UP){
        messageMenuFocus = MESSAGE_FOCUS_INBOX; 
      }
      else if(keyCode == SOFTKEY1){
        mode = MODE_MENU; 
      }
    }
    else if(messageMenuFocus == MESSAGE_FOCUS_INBOX){
      if(keyCode == SOFTKEY2){
        mode = MODE_INBOX;                  //go to the select game screen
      }
      else if(keyCode == DOWN){
        messageMenuFocus = MESSAGE_FOCUS_SEND;
      }
      else if(keyCode == UP){
        messageMenuFocus = MESSAGE_FOCUS_SEND; 
      }
      else if(keyCode == SOFTKEY1){
        mode = MODE_MENU; 
      }
    }
  }
  //show the compose message screen-------------------------------------------
  else if(mode == MODE_SEND_MESSAGE){
    String user_text = textInput("Message", "", 160);
    if(user_text != null){                          // Check to make sure text is not null or will cause an exception
     render_text = user_text; 
    }
  }
  //show the help screen-------------------------------------------------
  else if(mode == MODE_SHOW_HELP){
    if(helpFocus == HELP_FOCUS_PAGE1){
      if(keyCode == SOFTKEY2){
        mode = MODE_MENU;                  //go to the select game screen
      }
      else if(keyCode == DOWN){
        helpFocus = HELP_FOCUS_PAGE2;
      }
      else if(keyCode == UP){
        helpFocus = HELP_FOCUS_PAGE1; 
      }
      else if(keyCode == SOFTKEY1){
        mode = previousMode; 
      }
    }
    else if(helpFocus == HELP_FOCUS_PAGE2){
      if(keyCode == SOFTKEY2){
        mode = MODE_MENU;                  //go to the select game screen
      }
      else if(keyCode == DOWN){
        helpFocus = HELP_FOCUS_PAGE2;
      }
      else if(keyCode == UP){
        helpFocus = HELP_FOCUS_PAGE1; 
      }
      else if(keyCode == SOFTKEY1){
        mode = previousMode; 
      }
    }
  }
  //we are in the quit confirmation menu-----------------------------------------
  else if(mode == MODE_QUIT){
    if(keyCode == SOFTKEY2){
      exit();
    }
    else if(keyCode == SOFTKEY1){
      mode = MODE_MENU;
    }
  }
  //we are in the semacode shoot screen----------------------------
  else if(mode == MODE_SEMACODE){
    if(keyCode == SOFTKEY2){
      hideCamera();
      mode = MODE_HOBBITS_1ST_COMPLETE;                  //insert the code to quit application
    }
    else if(keyCode == FIRE){
      hideCamera();
      previousMode = MODE_SEMACODE;
      mode = MODE_MENU;                  //go to the select game screen
    }
  }
  //we show the current player positions-----------------------------------
  else if(mode == MODE_HOBBITS_1ST_COMPLETE){
    if(keyCode == SOFTKEY2){
      mode = MODE_DURING_GAME2;       //insert the code to quit application
      duringGameFocus = DURING_GAME_FOCUS_1;
    }
  }
  //during game screen--------------------------------------
  else if(mode == MODE_DURING_GAME2){
    if(duringGameFocus == DURING_GAME_FOCUS_1){  // if the menu is focused on ITALIAN...
      if(keyCode == SOFTKEY2){
        mode = MODE_HOBBITS_2ND_FAILED;       //insert the code to quit application
      }
      else if(keyCode == RIGHT){          // if the user pressed right...
       fruscio.play();
        duringGameFocus = DURING_GAME_FOCUS_2; // put the menu focus on ENGLISH
      }
      else if(keyCode == LEFT){    // if the user pressed left...
       fruscio.play();
        duringGameFocus = DURING_GAME_FOCUS_3; // put the menu focus on FRENC
      }
      else if(keyCode == FIRE){
        previousMode = MODE_DURING_GAME2;
        mode = MODE_MENU;                  //go to the select game screen
      }
      else if(keyCode == SOFTKEY1){
        mode = MODE_HOBBITS_1ST_COMPLETE; 
      }
    }
    else if(duringGameFocus == DURING_GAME_FOCUS_2){  // if the menu is focused on ITALIAN...
      if(keyCode == SOFTKEY2){
        mode = MODE_HOBBITS_2ND_FAILED;       //insert the code to quit application
      }
      else if(keyCode == RIGHT){          // if the user pressed right...
       fruscio.play();
        duringGameFocus = DURING_GAME_FOCUS_3; // put the menu focus on ENGLISH
      }
      else if(keyCode == LEFT){    // if the user pressed left...
       fruscio.play();
        duringGameFocus = DURING_GAME_FOCUS_1; // put the menu focus on FRENCH
      }
      else if(keyCode == FIRE){
        previousMode = MODE_DURING_GAME2;
        mode = MODE_MENU;                  //go to the select game screen
      }
      else if(keyCode == SOFTKEY1){
        mode = MODE_HOBBITS_1ST_COMPLETE; 
      }
    }
    else if(duringGameFocus == DURING_GAME_FOCUS_3){  // if the menu is focused on ITALIAN...
      if(keyCode == SOFTKEY2){
        mode = MODE_HOBBITS_2ND_FAILED;       //insert the code to quit application
      }
      else if(keyCode == RIGHT){          // if the user pressed right...
       fruscio.play();
        duringGameFocus = DURING_GAME_FOCUS_1; // put the menu focus on ENGLISH
      }
      else if(keyCode == LEFT){    // if the user pressed left...
       fruscio.play();
        duringGameFocus = DURING_GAME_FOCUS_2; // put the menu focus on FRENCH
      }
      else if(keyCode == FIRE){
        previousMode = MODE_DURING_GAME2;
        mode = MODE_MENU;                  //go to the select game screen
      }
      else if(keyCode == SOFTKEY1){
        mode = MODE_HOBBITS_1ST_COMPLETE; 
      }
    }
  }
  else if(mode == MODE_HOBBITS_2ND_FAILED){
    if(keyCode == SOFTKEY2){
        mode = MODE_MINUTES_LEFT;       //insert the code to quit application
    }
  }
  else if(mode == MODE_MINUTES_LEFT){
    if(keyCode == SOFTKEY2){
      mode = MODE_TIME_UP;       //insert the code to quit application
    }
    else if(keyCode == FIRE){
      previousMode = MODE_MINUTES_LEFT;
      mode = MODE_MENU;                  //go to the select game screen
    }
  }
  else if(mode == MODE_TIME_UP){
    if(keyCode == SOFTKEY2){
      mode = MODE_WINNER;       //insert the code to quit application
    }
  }
  else if(mode == MODE_WINNER){
    if (winnerFocus == WINNER_FOCUS_1){
      if(keyCode == SOFTKEY2){
        mode = MODE_LOGO;       //insert the code to quit application
      }
      else if(keyCode == RIGHT){
         fruscio.play();
          winnerFocus = WINNER_FOCUS_2; 
      }
      else if(keyCode == LEFT){
         fruscio.play();
        winnerFocus = WINNER_FOCUS_3;
      }
    }
    else if (winnerFocus == WINNER_FOCUS_2){
      if(keyCode == SOFTKEY2){
        mode = MODE_LOGO;       //insert the code to quit application
      }
      else if(keyCode == RIGHT){
         fruscio.play();
        winnerFocus = WINNER_FOCUS_3; 
      }
      else if(keyCode == LEFT){
         fruscio.play();
        winnerFocus = WINNER_FOCUS_1;
      }
    }
     else if (winnerFocus == WINNER_FOCUS_3){
      if(keyCode == SOFTKEY2){
        mode = MODE_LOGO;       //insert the code to quit application
      }
      else if(keyCode == RIGHT){
         fruscio.play();
        winnerFocus = WINNER_FOCUS_1; 
      }
      else if(keyCode == LEFT){
         fruscio.play();
        winnerFocus = WINNER_FOCUS_2;
      }
    }
  }
}
